CREATE TABLE cz_ui_item_templ_param_vals_b (
    UI_TEMPL_PARAM_VALUE_ID    NUMBER(18, 0) ,
    UI_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    PARAMETER_ID               NUMBER(18, 0)     NOT NULL,
    START_MODEL_VERSION        NUMBER(18, 0) ,
    END_MODEL_VERSION          NUMBER(18, 0) ,
    MODEL_ID                   NUMBER(18, 0)     NOT NULL,
    PARAMETER_NUMERIC_VALUE    NUMBER        ,
    PARAMETER_VALUE            VARCHAR2(4000),
    DELETED_FLAG               NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    UI_TEMPL_PARAM_VALUE_ID    NUMBER(18, 0) ,
    UI_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    PARAMETER_ID               NUMBER(18, 0)     NOT NULL,
    START_MODEL_VERSION        NUMBER(18, 0) ,
    END_MODEL_VERSION          NUMBER(18, 0) ,
    MODEL_ID                   NUMBER(18, 0)     NOT NULL,
    PARAMETER_NUMERIC_VALUE    NUMBER        ,
    DELETED_FLAG               NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    PARAMETER_VALUE            VARCHAR2(4000),
    CONSTRAINT pk_cz_ui_item_templ_param_vals_b PRIMARY KEY (UI_TEMPL_PARAM_VALUE_ID, START_MODEL_VERSION, UI_TEMPL_PARAM_VALUE_ID, START_MODEL_VERSION)
);
